<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{311,143,613,460}</property>
    <property name="Name">[se_lotes.tel]</property>
    <property name="Caption">[]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Courier New" width="0" height="-12" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus,osoSayPCOD}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">16777215</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela2.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[//skel VARIAVEL zzOper = if(type("zzOper")="U", "VENDAS", zzOper)
//skel VARIAVEL m_PCOD = if(x_operacao=1, zzPcod, m_PCOD)
//skel VARIAVEL m_PLOTE = if(x_operacao=1, zzPlote, m_PLOTE)
//skel VARIAVEL ZDTVENC = SubStr(Dtoc( if(x_operacao=1,zzData_Venc,data_venc) ),4)
//skel VARIAVEL zObsVenc = "Este produto nao esta sujeito a controle especial, e por isso seus lotes nao aparecerao no inventario sngpc! O Lote sera usado apenas para controle de vencimento!"
//skel VARIAVEL zbPdatabal = {||m_Pdatabal:=if(day(m_Pdatabal)=0,date(),m_Pdatabal),.t.}
if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
SET(5,1960)]]>
  </method>
  <part class="group">
    <style>
      <property name="Geometry">{3,0,609,420}</property>
      <property name="Name">[oGroup1]</property>
      <property name="TabIndex">1</property>
    </style>
    <part class="editbox">
      <style>
        <property name="Geometry">{14,55,119,35}</property>
        <property name="Name">[oPCOD]</property>
        <property name="varName">[m_PCOD]</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="nMaxLength">6</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">1</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[PSQ_BROW('SE_PROD','PSIPROD','M_PCOD','N','S',0,0,'','','',,oPCOD,).AND.SE_PROD->(M_PDESC:=PDESC,M_PREGMS:=SE_PROD->PREGMS,IF(EMPTY(PFGCONTROL),ALERT(zObsVenc,,"B/W"),),REFRESHGETLIST())]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{14,30,65,23}</property>
        <property name="Name">[oSayPCOD]</property>
        <property name="Caption">[Codigo]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">1</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{169,55,430,35}</property>
        <property name="Name">[opDesc]</property>
        <property name="varName">[m_pDesc]</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="cPicture">[@s35]</property>
        <property name="nMaxLength">35</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{274,129,185,35}</property>
        <property name="Name">[oPLOTE]</property>
        <property name="varName">[m_PLOTE]</property>
        <property name="font">
          <font name="Arial" width="0" height="-27" weight="700"/>
        </property>
        <property name="cPicture">[@s10]</property>
        <property name="nMaxLength">10</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">3</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{101,141,154,23}</property>
        <property name="Name">[oSayPLOTE]</property>
        <property name="Caption">[Lote Cadastrado:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">4</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{274,202,119,35}</property>
        <property name="Name">[opeatbal]</property>
        <property name="varName">[m_peatbal]</property>
        <property name="font">
          <font name="Arial" width="0" height="-27" weight="700"/>
        </property>
        <property name="cPicture">[999999]</property>
        <property name="nMaxLength">6</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">4</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[m_peatbal>0]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{101,214,154,23}</property>
        <property name="Name">[oSaypeatbal]</property>
        <property name="Caption">[Saldo no Inventario:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">5</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{274,246,174,35}</property>
        <property name="Name">[opDataBal]</property>
        <property name="varName">[m_pDataBal]</property>
        <property name="font">
          <font name="Arial" width="0" height="-27" weight="700"/>
        </property>
        <property name="cPicture">[99/99/9999]</property>
        <property name="nMaxLength">17</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">5</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{101,256,154,23}</property>
        <property name="Name">[oSaypdatabal]</property>
        <property name="Caption">[Data do Inventario:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">6</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{274,314,248,35}</property>
        <property name="Name">[om_Pregms]</property>
        <property name="varName">[m_Pregms]</property>
        <property name="font">
          <font name="Arial" width="0" height="-27" weight="700"/>
        </property>
        <property name="cPicture">[9.9999.9999.999-9]</property>
        <property name="nMaxLength">17</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">6</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{90,325,165,23}</property>
        <property name="Name">[oSaym_Pregms]</property>
        <property name="Caption">[Registro no M.Saude:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{274,357,127,35}</property>
        <property name="Name">[oZDTVENC]</property>
        <property name="varName">[ZDTVENC]</property>
        <property name="font">
          <font name="Arial" width="0" height="-27" weight="700"/>
        </property>
        <property name="cPicture">[99.9999]</property>
        <property name="nMaxLength">7</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{101,369,154,23}</property>
        <property name="Name">[oSayZDTVENC]</property>
        <property name="Caption">[Data de Vencimento:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">8</property>
      </style>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{141,68,16,16}</property>
        <property name="Name">[oboPCOD]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">10</property>
      </style>
      <method name="onClick">
        <![CDATA[//
return PSQ_BROW('SE_PROD','PSIPROD','M_PCOD','N','S',0,0,'','','',,oPCOD,).AND.SE_PROD->(M_PDESC:=PDESC,M_PREGMS:=SE_PROD->PREGMS,IF(EMPTY(PFGCONTROL),ALERT(ZOBSVENC,,"B/W"),),REFRESHGETLIST())]]>
      </method>
    </part>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{435,426,70,28}</property>
      <property name="Name">[oOwnerbutton1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[&amp;OK]</property>
      <property name="TabIndex">1000</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{526,426,70,28}</property>
      <property name="Name">[oOwnerbutton2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[&amp;Cancela]</property>
      <property name="TabIndex">1001</property>
    </style>
  </part>
</part>
